Package Details: qt5-wayland-decorations 5.15.12+kde+r61-1

Git Clone URL: https://aur.archlinux.org/qt5-wayland-decorations.git (read-only, click to copy)
Package Base: qt5-wayland-decorations
Description: Provides APIs for Wayland (with patch required for shadows on qadwaitadecorations-qt5)
Upstream URL: https://www.qt.io
Licenses: custom, GPL3, LGPL3, FDL
Conflicts: qt5-wayland
Provides: qt5-wayland
Submitter: coolingtool
Maintainer: coolingtool
Last Packager: coolingtool
Votes: 8
Popularity: 1.54
First Submitted: 2023-09-12 21:53 (UTC)
Last Updated: 2024-01-08 02:08 (UTC)

Required by (118)

Sources (2)

Latest Comments

Aftermath commented on 2024-01-08 01:39 (UTC)

@yochananmarqos: Thanks for quick reply! I actually thought I rebuilt it, which I was definitely wrong! Used your PKGBUILD, by the way, thanks again.

yochananmarqos commented on 2024-01-07 20:45 (UTC)

@Aftermath: No, you need to rebuild this package after updating to Qt 5.15.12. However, the patch needs to be updated. Also, it's missing one. See my PKGBUILD

Aftermath commented on 2024-01-07 20:42 (UTC)

Using this package instead of default qt5-wayland, CURRENTLY, will break qt5 applications that want to use Wayland to run, due to the library mismatch. Packages will respond with the following error upon run and abort:

Cannot mix incompatible Qt library (5.15.11) with this library (5.15.12)

The solution is whether to not upgrade qt5 package group to version 5.15.12 (Means holding your whole system upgrade, avoiding a partial upgrade) OR temporarily using default qt5-wayland from Arch repository OR manually editing this PKGBUILD and updating it to 5.15.12

muziknavi commented on 2024-01-07 13:01 (UTC)

needs updating to 5.15.12

Aftermath commented on 2023-09-24 11:06 (UTC)

Thanks for maintenance.